{% extends "base.html" %}

{% block content %}
<h1>Translate Text</h1>
<form id="translate-form">
    <textarea id="translate-text" placeholder="Text to translate" rows="3"></textarea>
    <input type="text" id="from-lang" placeholder="From language">
    <input type="text" id="to-lang" placeholder="To language">
    <button type="submit">Translate</button>
</form>
<div class="results-wrapper">
    <button id="copy-result-btn">Copy Results</button>
    <div id="result-container"></div>
</div>
{% endblock %}

{% block script %}
<script src="/static/js/translate.js"></script>
{% endblock %}